--- title: "Initiate an Appliance Upgrade." slug: "initiate-an-appliance-upgrade-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:52Z canonical: "support.appgate.com/initiate-an-appliance-upgrade-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # Initiate an Appliance Upgrade. Post/appliances/{id}/upgrade Initiate an Appliance Upgrade. This API call does what "prepare", "complete" and "switchPartition" API calls do all at once. "GET appliances//upgrade" must return "status":"idle|failed" before accepting the complete command. The progress can be followed by by polling the appliance via "GET appliances//upgrade". SecurityHTTPType bearer Path parametersidstring (uuid) Required ID of the object. Example12699e27-b584-464a-81ee-5b4784b6d425 Body parametersobject Appliance Upgrade request. devKeyringboolean Disclaimer of Warranty - internal use only. This is not a supported property. Use the development keyring to verify the upgrade image. Examplefalse imageUrlstring Required The URL for the Appliance the download the Upgrade image from. The URL may be a public HTTP URL or it could be a file uploaded to the Controller. See "files" APIs for uploading to Controller. In order to use a Controller based file, set this field to "controller:///". The Appliance will authenticate itself to the Controller and download the file. Examplehttps://s3.eu-central-1.amazonaws.com/appgate/appgate-appliance.img.zip Responses202 Appliance accepted the request and it's enabling/disabling maintenance mode. object Appliance change id for the result of the maintenance mode idstring Id for this change 400 JSON error. Check the JSON format. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 404 The requested resource can not be found. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 412 Appliance is not in the right state for this operation. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.